diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/antenna/model/uniform-planar-array.cc ns-3.44/src/antenna/model/uniform-planar-array.cc
--- ns-3.43/src/antenna/model/uniform-planar-array.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/antenna/model/uniform-planar-array.cc	2025-03-09 16:55:49.343371000 -0700
@@ -6,10 +6,10 @@
 
 #include "uniform-planar-array.h"
 
-#include <ns3/boolean.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/uinteger.h>
+#include "ns3/boolean.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
@@ -60,16 +60,18 @@
                           MakeUintegerAccessor(&UniformPlanarArray::SetNumRows,
                                                &UniformPlanarArray::GetNumRows),
                           MakeUintegerChecker<uint32_t>(1))
-            .AddAttribute("BearingAngle",
-                          "The bearing angle in radians",
-                          DoubleValue(0.0),
-                          MakeDoubleAccessor(&UniformPlanarArray::SetAlpha),
-                          MakeDoubleChecker<double>(-M_PI, M_PI))
-            .AddAttribute("DowntiltAngle",
-                          "The downtilt angle in radians",
-                          DoubleValue(0.0),
-                          MakeDoubleAccessor(&UniformPlanarArray::SetBeta),
-                          MakeDoubleChecker<double>(-M_PI, M_PI))
+            .AddAttribute(
+                "BearingAngle",
+                "The bearing angle in radians",
+                DoubleValue(0.0),
+                MakeDoubleAccessor(&UniformPlanarArray::SetAlpha, &UniformPlanarArray::GetAlpha),
+                MakeDoubleChecker<double>(-M_PI, M_PI))
+            .AddAttribute(
+                "DowntiltAngle",
+                "The downtilt angle in radians",
+                DoubleValue(0.0),
+                MakeDoubleAccessor(&UniformPlanarArray::SetBeta, &UniformPlanarArray::GetBeta),
+                MakeDoubleChecker<double>(-M_PI, M_PI))
             .AddAttribute("PolSlantAngle",
                           "The polarization slant angle in radians",
                           DoubleValue(0.0),
@@ -104,6 +106,7 @@
     if (n != m_numColumns)
     {
         m_isBfVectorValid = false;
+        InvalidateChannels();
     }
     m_numColumns = n;
 }
@@ -121,6 +124,7 @@
     if (n != m_numRows)
     {
         m_isBfVectorValid = false;
+        InvalidateChannels();
     }
     m_numRows = n;
 }
@@ -137,6 +141,7 @@
     m_alpha = alpha;
     m_cosAlpha = cos(m_alpha);
     m_sinAlpha = sin(m_alpha);
+    InvalidateChannels();
 }
 
 void
@@ -145,6 +150,7 @@
     m_beta = beta;
     m_cosBeta = cos(m_beta);
     m_sinBeta = sin(m_beta);
+    InvalidateChannels();
 }
 
 void
@@ -153,6 +159,7 @@
     m_polSlant = polSlant;
     m_cosPolSlant[0] = cos(m_polSlant);
     m_sinPolSlant[0] = sin(m_polSlant);
+    InvalidateChannels();
 }
 
 void
@@ -164,6 +171,7 @@
     if (s != m_disH)
     {
         m_isBfVectorValid = false;
+        InvalidateChannels();
     }
     m_disH = s;
 }
@@ -183,6 +191,7 @@
     if (s != m_disV)
     {
         m_isBfVectorValid = false;
+        InvalidateChannels();
     }
     m_disV = s;
 }
@@ -290,6 +299,7 @@
     NS_ASSERT_MSG(((m_numRows % nPorts) == 0),
                   "The number of vertical ports must divide number of rows");
     m_numVPorts = nPorts;
+    InvalidateChannels();
 }
 
 void
@@ -299,6 +309,7 @@
     NS_ASSERT_MSG(((m_numColumns % nPorts) == 0),
                   "The number of horizontal ports must divide number of columns");
     m_numHPorts = nPorts;
+    InvalidateChannels();
 }
 
 uint16_t
@@ -378,6 +389,19 @@
         m_cosPolSlant[1] = cos(m_polSlant - M_PI / 2);
         m_sinPolSlant[1] = sin(m_polSlant - M_PI / 2);
     }
+    InvalidateChannels();
+}
+
+double
+UniformPlanarArray::GetAlpha() const
+{
+    return m_alpha;
+}
+
+double
+UniformPlanarArray::GetBeta() const
+{
+    return m_beta;
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/antenna/model/uniform-planar-array.h ns-3.44/src/antenna/model/uniform-planar-array.h
--- ns-3.43/src/antenna/model/uniform-planar-array.h	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/antenna/model/uniform-planar-array.h	2025-03-09 16:55:49.343371000 -0700
@@ -9,17 +9,17 @@
 
 #include "phased-array-model.h"
 
-#include <ns3/object.h>
+#include "ns3/object.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup antenna
+ * @ingroup antenna
  *
- * \brief Class implementing Uniform Planar Array (UPA) model.
+ * @brief Class implementing Uniform Planar Array (UPA) model.
  *
- * \note the current implementation supports the modeling of antenna arrays
+ * @note the current implementation supports the modeling of antenna arrays
  * composed of a single panel and with single or dual polarization.
  */
 class UniformPlanarArray : public PhasedArrayModel
@@ -36,18 +36,18 @@
     ~UniformPlanarArray() override;
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Returns the horizontal and vertical components of the antenna element field
      * pattern at the specified direction and for the specified polarization.
-     * \param a the angle indicating the interested direction
-     * \param polIndex the index of the polarization for which will be retrieved the field
+     * @param a the angle indicating the interested direction
+     * @param polIndex the index of the polarization for which will be retrieved the field
      * pattern
-     * \return a pair in which the first element is the horizontal component
+     * @return a pair in which the first element is the horizontal component
      *         of the field pattern and the second element is the vertical
      *         component of the field pattern
      */
@@ -66,8 +66,8 @@
      * In case of dual-polarized antennas, the antennas of the first and the second polarization
      * are overlapped in space.
      *
-     * \param index index of the antenna element
-     * \return the 3D vector that
+     * @param index index of the antenna element
+     * @return the 3D vector that
      * represents the position of the element
      */
     Vector GetElementLocation(uint64_t index) const override;
@@ -75,27 +75,39 @@
     /**
      *  Check if an antenna array contains dual-polarized elements
      *
-     * \return true if antenna has two polarization otherwise false
+     * @return true if antenna has two polarization otherwise false
      */
     bool IsDualPol() const override;
 
     /**
+     *  Returns bearing angle of first polarization
+     *  @return bearing angle in radians
+     */
+    double GetAlpha() const;
+
+    /**
+     *  Returns downtilt angle of first polarization
+     *  @return downtilt angle in radians
+     */
+    double GetBeta() const;
+
+    /**
      *  Returns polarization angle of first polarization
-     *  \return polarization angle in radians
+     *  @return polarization angle in radians
      */
     double GetPolSlant() const override;
 
     /**
      * Returns the number of polarizations, 2 in the case that
      * the antenna is dual-polarized, otherwise 1
-     * \return
+     * @return
      */
     uint8_t GetNumPols() const override;
 
     /**
      * Returns the number of total antenna elements. Note that if the antenna
      * is dual-polarized the number of total antenna elements is doubled.
-     * \return the number of antenna elements
+     * @return the number of antenna elements
      */
     size_t GetNumElems() const override;
 
@@ -103,13 +115,13 @@
      * Set the number of columns of the phased array
      * This method resets the stored beamforming vector to a ComplexVector
      * of the correct size, but zero-filled
-     * \param n the number of columns
+     * @param n the number of columns
      */
     void SetNumColumns(uint32_t n) override;
 
     /**
      * Get the number of columns of the phased array
-     * \return the number of columns
+     * @return the number of columns
      */
     uint32_t GetNumColumns() const override;
 
@@ -117,93 +129,93 @@
      * Set the number of rows of the phased array
      * This method resets the stored beamforming vector to a ComplexVector
      * of the correct size, but zero-filled
-     * \param n the number of rows
+     * @param n the number of rows
      */
     void SetNumRows(uint32_t n) override;
 
     /**
      * Get the number of rows of the phased array
-     * \return the number of rows
+     * @return the number of rows
      */
     uint32_t GetNumRows() const override;
 
     /**
      * Set the number of vertical antenna ports
-     * \param nPorts The number of vertical ports to be configured
+     * @param nPorts The number of vertical ports to be configured
      */
     void SetNumVerticalPorts(uint16_t nPorts) override;
 
     /**
      * Set the number of horizontal antenna ports
-     * \param nPorts
+     * @param nPorts
      */
     void SetNumHorizontalPorts(uint16_t nPorts) override;
 
     /**
      * Get the number of vertical antenna ports
-     * \return the number of vertical antenna ports
+     * @return the number of vertical antenna ports
      */
     uint16_t GetNumVerticalPorts() const override;
 
     /**
      * Get the number of horizontal antenna ports
-     * \return the number of horizontal antenna ports
+     * @return the number of horizontal antenna ports
      */
     uint16_t GetNumHorizontalPorts() const override;
 
     /**
      * Get the total number of antenna ports
-     * \return the number of antenna ports
+     * @return the number of antenna ports
      */
     uint16_t GetNumPorts() const override;
 
     /**
      * Get the number of vertical elements belonging to each port
-     * \return the number of vertical elements belonging of each port
+     * @return the number of vertical elements belonging of each port
      */
     size_t GetVElemsPerPort() const override;
 
     /**
      * Get the number of horizontal elements belonging to each port
-     * \return the number of horizontal elements belonging to each port
+     * @return the number of horizontal elements belonging to each port
      */
     size_t GetHElemsPerPort() const override;
 
     /**
      * Get the total number of elements belonging to each port
-     * \return the number of elements per port
+     * @return the number of elements per port
      */
     size_t GetNumElemsPerPort() const override;
 
     /**
      * Maps element within a port to an index of element within the antenna array
-     * \param portIndex the port index
-     * \param subElementIndex the element index within the port
-     * \return the element index in the antenna array
+     * @param portIndex the port index
+     * @param subElementIndex the element index within the port
+     * @return the element index in the antenna array
      */
     uint16_t ArrayIndexFromPortIndex(uint16_t portIndex, uint16_t subElementIndex) const override;
 
     /**
-     * \brief Set the bearing angle
+     * @brief Set the bearing angle
      * This method sets the bearing angle and
      * computes its cosine and sine
-     * \param alpha the bearing angle in radians
+     * @param alpha the bearing angle in radians
      */
     void SetAlpha(double alpha);
 
     /**
-     * \brief Set the downtilt angle
+     * @brief Set the downtilt angle
      * This method sets the downtilt angle and
      * computes its cosine and sine
-     * \param beta the downtilt angle in radians
+     * @param beta the downtilt angle in radians
      */
     void SetBeta(double beta);
 
     /**
-     * \brief Set the polarization slant angle
+     * @brief Set the polarization slant angle
      * This method sets the polarization slant angle and
      * computes its cosine and sine
-     * \param polSlant the polarization slant angle in radians
+     * @param polSlant the polarization slant angle in radians
      */
     void SetPolSlant(double polSlant);
 
@@ -211,13 +223,13 @@
      * Set the horizontal spacing for the antenna elements of the phased array
      * This method resets the stored beamforming vector to a ComplexVector
      * of the correct size, but zero-filled
-     * \param s the horizontal spacing in multiples of wavelength
+     * @param s the horizontal spacing in multiples of wavelength
      */
     void SetAntennaHorizontalSpacing(double s);
 
     /**
      * Get the horizontal spacing for the antenna elements of the phased array
-     * \return the horizontal spacing in multiples of wavelength
+     * @return the horizontal spacing in multiples of wavelength
      */
     double GetAntennaHorizontalSpacing() const;
 
@@ -225,27 +237,27 @@
      * Set the vertical spacing for the antenna elements of the phased array
      * This method resets the stored beamforming vector to a ComplexVector
      * of the correct size, but zero-filled
-     * \param s the vertical spacing in multiples of wavelength
+     * @param s the vertical spacing in multiples of wavelength
      */
     void SetAntennaVerticalSpacing(double s);
 
     /**
      * Get the vertical spacing for the antenna elements of the phased array
-     * \return the vertical spacing in multiples of wavelength
+     * @return the vertical spacing in multiples of wavelength
      */
     double GetAntennaVerticalSpacing() const;
 
     /**
      * Set the polarization
-     * \param isDualPol whether to set the antenna array to be dual-polarized,
+     * @param isDualPol whether to set the antenna array to be dual-polarized,
      * if true, antenna will be dual-polarized
      */
     void SetDualPol(bool isDualPol);
 
     /**
      * Returns the index of polarization to which belongs the antenna element with a specific index
-     * \param elemIndex the antenna element index
-     * \return the polarization index
+     * @param elemIndex the antenna element index
+     * @return the polarization index
      */
     uint8_t GetElemPol(size_t elemIndex) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/antenna/test/test-adjacency-matrix.cc ns-3.44/src/antenna/test/test-adjacency-matrix.cc
--- ns-3.43/src/antenna/test/test-adjacency-matrix.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/antenna/test/test-adjacency-matrix.cc	2025-03-09 16:55:49.343371000 -0700
@@ -0,0 +1,130 @@
+/*
+ * Copyright (c) 2025 CTTC
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
+ */
+
+#include "ns3/symmetric-adjacency-matrix.h"
+#include "ns3/test.h"
+
+using namespace ns3;
+
+/**
+ * @ingroup antenna-tests
+ *
+ * @brief SymmetricAdjacencyMatrix Test Case
+ */
+class SymmetricAdjacencyMatrixTestCase : public TestCase
+{
+  public:
+    /**
+     * The constructor of the test case
+     */
+    SymmetricAdjacencyMatrixTestCase()
+        : TestCase("SymmetricAdjacencyMatrix test case"){};
+
+  private:
+    /**
+     * Run the test
+     */
+    void DoRun() override;
+};
+
+void
+SymmetricAdjacencyMatrixTestCase::DoRun()
+{
+    SymmetricAdjacencyMatrix<bool> boolAdj;
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetRows(),
+                          0,
+                          "Should have 0 rows, but have " << boolAdj.GetRows());
+    boolAdj.AddRow();
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetRows(),
+                          1,
+                          "Should have 1 rows, but have " << boolAdj.GetRows());
+    boolAdj.AddRow();
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetRows(),
+                          2,
+                          "Should have 2 rows, but have " << boolAdj.GetRows());
+    boolAdj.AddRow();
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetRows(),
+                          3,
+                          "Should have 3 rows, but have " << boolAdj.GetRows());
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(0, 0), false, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(1, 0), false, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(1, 1), false, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(2, 0), false, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(2, 1), false, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(2, 2), false, "Should be set to false");
+
+    // Test constructor with arguments
+    boolAdj = SymmetricAdjacencyMatrix<bool>(3, true);
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(0, 0), true, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(1, 0), true, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(1, 1), true, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(2, 0), true, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(2, 1), true, "Should be set to false");
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(2, 2), true, "Should be set to false");
+
+    // Set value setting
+    boolAdj = SymmetricAdjacencyMatrix<bool>(4, false);
+    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetRows(),
+                          4,
+                          "Should have 4 rows, but have " << boolAdj.GetRows());
+    for (int i = 0; i < 4; i++)
+    {
+        // Mark all adjacent values to row i to true
+        boolAdj.SetValueAdjacent(i, true);
+        for (int j = 0; j < 4; j++)
+        {
+            for (int k = 0; k < 4; k++)
+            {
+                // Check if adjacent values to i were marked as true
+                if (i == j || i == k)
+                {
+                    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(j, k), true, "Should be set to true");
+                    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(k, j), true, "Should be set to true");
+                }
+                else
+                {
+                    // Check if all other values are marked as false
+                    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(j, k), false, "Should be set to false");
+                    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(k, j), false, "Should be set to false");
+                }
+            }
+        }
+        // Reset values
+        for (int j = 0; j < 4; j++)
+        {
+            for (int k = 0; k < 4; k++)
+            {
+                if (i == j || i == k)
+                {
+                    boolAdj.SetValue(j, k, false);
+                    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(j, k), false, "Should be set to false");
+                    NS_TEST_EXPECT_MSG_EQ(boolAdj.GetValue(k, j), false, "Should be set to false");
+                }
+            }
+        }
+    }
+}
+
+/**
+ * @ingroup core-tests
+ *
+ * @brief AdjacencyMatrix Test Suite
+ */
+class AdjacencyMatrixTestSuite : public TestSuite
+{
+  public:
+    AdjacencyMatrixTestSuite();
+};
+
+AdjacencyMatrixTestSuite::AdjacencyMatrixTestSuite()
+    : TestSuite("adjacency-matrix-test", Type::UNIT)
+{
+    AddTestCase(new SymmetricAdjacencyMatrixTestCase(), TestCase::Duration::QUICK);
+}
+
+static AdjacencyMatrixTestSuite adjacencyMatrixTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/antenna/test/test-angles.cc ns-3.44/src/antenna/test/test-angles.cc
--- ns-3.43/src/antenna/test/test-angles.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/antenna/test/test-angles.cc	2025-03-09 16:55:49.343371000 -0700
@@ -6,9 +6,9 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/antenna-model.h>
-#include <ns3/log.h>
-#include <ns3/test.h>
+#include "ns3/antenna-model.h"
+#include "ns3/log.h"
+#include "ns3/test.h"
 
 #include <cmath>
 #include <iostream>
@@ -18,23 +18,23 @@
 using namespace ns3;
 
 /**
- * \ingroup tests
+ * @ingroup tests
  *
- * \brief Angles Test using one vector for initialization
+ * @brief Angles Test using one vector for initialization
  */
 class OneVectorConstructorTestCase : public TestCase
 {
   public:
     /**
      * Build the test name
-     * \param v test parameter
-     * \return the test name
+     * @param v test parameter
+     * @return the test name
      */
     static std::string BuildNameString(Vector v);
     /**
      * Constructor
-     * \param v vector
-     * \param a expected angle
+     * @param v vector
+     * @param a expected angle
      */
     OneVectorConstructorTestCase(Vector v, Angles a);
 
@@ -69,25 +69,25 @@
 }
 
 /**
- * \ingroup tests
+ * @ingroup tests
  *
- * \brief Angles Test using two vectors for initialization
+ * @brief Angles Test using two vectors for initialization
  */
 class TwoVectorsConstructorTestCase : public TestCase
 {
   public:
     /**
      * Build the test name
-     * \param v test parameter
-     * \param o test parameter
-     * \return the test name
+     * @param v test parameter
+     * @param o test parameter
+     * @return the test name
      */
     static std::string BuildNameString(Vector v, Vector o);
     /**
      * Constructor
-     * \param v point
-     * \param o origin
-     * \param a expected angle
+     * @param v point
+     * @param o origin
+     * @param a expected angle
      */
     TwoVectorsConstructorTestCase(Vector v, Vector o, Angles a);
 
@@ -126,9 +126,9 @@
 using WrapToRangeFunction = std::function<double(double)>;
 
 /**
- * \ingroup tests
+ * @ingroup tests
  *
- * \brief  Test bounds for various WrapTo... methods (WrapTo180, WrapTo360, WrapToPi, and WrapTo2Pi)
+ * @brief  Test bounds for various WrapTo... methods (WrapTo180, WrapTo360, WrapToPi, and WrapTo2Pi)
  * by using a std::function wrapper
  */
 class WrapToRangeTestCase : public TestCase
@@ -136,23 +136,23 @@
   public:
     /**
      * Build the test name
-     * \param lowerBound the lower bound of the WrapTo... function
-     * \param upperBound the upper bound of the WrapTo... function
-     * \return the test name
+     * @param lowerBound the lower bound of the WrapTo... function
+     * @param upperBound the upper bound of the WrapTo... function
+     * @return the test name
      */
     static std::string BuildNameString(double lowerBound, double upperBound);
     /**
      * Constructor
-     * \param wrapper for one of WrapTo180, WrapTo360, WrapToPi, and WrapTo2Pi
-     * \param lowerBound the corresponding lower bound
-     * \param upperBound the corresponding upper bound
+     * @param wrapper for one of WrapTo180, WrapTo360, WrapToPi, and WrapTo2Pi
+     * @param lowerBound the corresponding lower bound
+     * @param upperBound the corresponding upper bound
      */
     WrapToRangeTestCase(WrapToRangeFunction wrapper, double lowerBound, double upperBound);
 
   protected:
     /**
      * The given wrapper shall wrap an angle into the expected range
-     * \param wrapPoint an angle
+     * @param wrapPoint an angle
      */
     void CheckWrappingPoint(double wrapPoint);
 
@@ -215,25 +215,25 @@
 }
 
 /**
- * \ingroup tests
+ * @ingroup tests
  *
- * \brief Test the output for WrapToRangeFunction
+ * @brief Test the output for WrapToRangeFunction
  */
 class WrapToRangeFunctionalTestCase : public TestCase
 {
   public:
     /**
      * Build the test name
-     * \param angle the angle
-     * \param wrappedAngle the expected result
-     * \return the test name
+     * @param angle the angle
+     * @param wrappedAngle the expected result
+     * @return the test name
      */
     static std::string BuildNameString(double angle, double wrappedAngle);
     /**
      * Constructor
-     * \param wrapper one WrapToRangeFunction
-     * \param angle the angle
-     * \param wrappedAngle the expected result
+     * @param wrapper one WrapToRangeFunction
+     * @param angle the angle
+     * @param wrappedAngle the expected result
      */
     WrapToRangeFunctionalTestCase(WrapToRangeFunction wrapper, double angle, double wrappedAngle);
 
@@ -274,9 +274,9 @@
 }
 
 /**
- * \ingroup tests
+ * @ingroup tests
  *
- * \brief Angles TestSuite
+ * @brief Angles TestSuite
  */
 class AnglesTestSuite : public TestSuite
 {
